﻿@model IEnumerable<BeerOverflow.Web.Models.CountryViewModel>

@{
    ViewData["Title"] = "ListCountry";
}

<h1 style="color:#b58900">List of all countries in our database</h1>

@if (User.Identity.IsAuthenticated)
{
    <p>
        <a style="color:#b58900" asp-controller="Country" asp-action="CreateCountry">Create New Country</a>
    </p>
}

<table class="table">
    <thead style="color:white">
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Name)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.ISO)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr style="color:white">
                <td>
                    @Html.DisplayFor(modelItem => item.Name)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.ISO)
                </td>

                @if (User.Identity.IsAuthenticated)
                {
                    <td>
                        <a asp-action="DeleteCountry" asp-route-id="@item.Id">Delete</a>
                    </td>
                    <td>
                        <a asp-action="EditCountry" asp-route-id="@item.Id">Edit</a>
                    </td>
                }
            </tr>
        }
    </tbody>
</table>
